# importing libraries
import time
import math
 

def timer(func):
    def inner1(*args, **kwargs):
        # storing time before function execution
        begin = time.time()

        ret=func(*args, **kwargs)
 
        # storing time after function execution
        end = time.time()
        print("Total time taken in : ", func.__name__, end - begin)
        
        # returning the value to the original frame
        return ret
         
    return inner1
 
